#ifndef TYPEDEFS_H
#define TYPEDEFS_H

#include "copyright.h"

#define	MAXLEN		1024

typedef struct ftable_struct {
  int inuse;
  char *filename;
  int attribute;
  int mode;
  int fd;
  off_t seek_ptr;
  struct ftable_struct *next;
  struct ftable_struct *dup_list;
} ftable_entry;

typedef struct list_node {
  char *addr;
  char *stop;
  unsigned long size;
  struct list_node *next;
} *List_node;

/*
 *  This is the path _ckpt_recover() uses to find ckpt.? files.  It's
 *  embedded in a struct so it can be passed into / returned from functions.
 */

typedef struct pname {
  char name[MAXLEN];
} pname_type;

#endif /* TYPEDEFS_H */
